Requests for Comments¶ RFCs propose significant new features or changes for discussion before implementation. # RFC Status 0001 RFC-0001: Azure Backend via Direct ADLS Gen2 SDK Proposed 0002 RFC-0002: PyArrow FileSystemHandler Adapter Proposed 0003 RFC-0003: S3-PyArrow Read Path Optimization Proposed 0004 RFC-0004: Streaming Atomic Writes Proposed 0005 Code Deduplication Analysis Proposed 0006 Naming Inconsistency Analysis Proposed 0007 Documentation Cross-Link Rules & Compliance Audit Proposed 0008 RFC-0008: Parquet Dataset Storage Extension Proposed 0009 RFC-0009: Multi-Agent Orchestration for Complex Tasks Proposed 0010 RFC-0010: Microsoft Graph Backend (OneDrive, SharePoint, Teams Files) Proposed 0011 RFC-0011: WriteResult — Native Write Metadata and Opt-In Hashing Proposed 0012 RFC-0012: Documentation Graph Model Proposed 0013 RFC-0013: list_folders(pattern=…) — Name-Based Glob Filter Proposed 0014 RFC-0014: Dagster Compute Log Manager Proposed 0015 RFC-0015: A /ship loop that does not review its own record Proposed 0016 RFC-0016: BACKLOG.md as an index, item detail in dossiers Proposed 0017 RFC-0017: One contract kernel over thin drivers Proposed 0018 RFC-0018: Capture interview decisions where they are made Proposed 0019 RFC-0019: Two-speed test gate with a rule-based selector Proposed